Bug 1021754 - Use fc-cache /usr/share/fonts/<your font directory> instead of /usr/share/fonts
Summary: Use fc-cache /usr/share/fonts/<your font directory> instead of /usr/share/fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: baekmuk-bdf-fonts
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-22 02:20 UTC by Akira TAGOH
Modified: 2013-11-10 08:09 UTC (History)
4 users (show)

Fixed In Version: baekmuk-bdf-fonts-2.2-15.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-08 04:33:28 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2013-10-22 02:20:01 UTC
Description of problem:
Running fc-cache with /usr/share/fonts takes too much time and may breaks the cache for parents when installing multiple font packages or upgrading fontconfig, especially sometimes happens on the installation say.
As the macro in fontpackages does, please follow it up and use fc-cache /usr/share/fonts/<your font directory> instead of /usr/share/fonts.

Version-Release number of selected component (if applicable):
baekmuk-bdf-fonts-2.2-13.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1.rpm -q --scripts baekmuk-bdf-fonts-2.2-13.fc19.noarch
2.
3.

Actual results:
postinstall scriptlet (using /bin/sh):
if [ -x /usr/bin/fc-cache ]; then
  /usr/bin/fc-cache /usr/share/fonts
fi
postuninstall scriptlet (using /bin/sh):
if [ "$1" = "0" ]; then
  if [ -x /usr/bin/fc-cache ]; then
    /usr/bin/fc-cache /usr/share/fonts
  fi
fi

Expected results:
the directory should be /usr/share/fonts/<your font directory> instead

Additional info:
should be same on rawhide and f20

Comment 1 Fedora Update System 2013-10-28 08:44:04 UTC
baekmuk-bdf-fonts-2.2-15.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/baekmuk-bdf-fonts-2.2-15.fc20

Comment 2 Fedora Update System 2013-10-28 08:44:14 UTC
baekmuk-bdf-fonts-2.2-15.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/baekmuk-bdf-fonts-2.2-15.fc19

Comment 3 Fedora Update System 2013-10-28 19:20:41 UTC
Package baekmuk-bdf-fonts-2.2-15.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing baekmuk-bdf-fonts-2.2-15.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20135/baekmuk-bdf-fonts-2.2-15.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-11-08 04:33:28 UTC
baekmuk-bdf-fonts-2.2-15.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-11-10 08:09:14 UTC
baekmuk-bdf-fonts-2.2-15.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.